// SampleDisplay.cpp : Implementation of CSampleDisplay
#include "stdafx.h"
#include "SampleDisplay.h"


// CSampleDisplay

STDMETHODIMP CSampleDisplay::get_Value(FLOAT* pVal)
{
  if ( !pVal ) return E_POINTER;
  *pVal = mValue;
  return S_OK;
}

STDMETHODIMP CSampleDisplay::put_Value(FLOAT newVal)
{
  // Essential step: Make sure to only do the code below if the value changed
  if ( newVal == mValue ) return S_OK;  
  mValue = newVal;   // Set the member variable        
  this->m_bRequiresSave = TRUE;   // Mark our display as dirty so it gets saved
  this->FireViewChange(); // Request that our display is redrawn (thus calling the OnDraw function)
  return S_OK;
}
